function ImageAllocate

%allocate memory for all images and image specifications used during phase
%3 of the program.

%define global variables now.

global     data_matrix; %data array
global   AllImageSpecs; %image specifications.   
global       XVimageUI; %xylem vessel interative image.
global  X_section_gray; %x-section grayscale.
global X_section_solid; %x-section solid
global        X_binary; %x-section binary
global    solidSegment; %solid x-section
global      imagePerim; %perimeter mask.
global              L4; %label matrice for cortical objects
global             L44; %highlight image for cortical objects (i.e. aerenchynma selection)
global   get_ref_cdata; %cdata for reference image

global repRows repCols; %matrice containing row and column indice values for spatial weights matrix.


%define the format now.  since directories have one common image format we
%define the format as the format of the first image in the parent image
%directory.

format              = data_matrix{1,1};

%find the last period in the filename. the string fragment after this
%period contains the specific image format.

findi = find(format == '.', 1, 'last');
format(1:findi)                   = [];

AllImageSpecs.format = format;

%define global image variables used frequently in the program.
  

%define current directory.

currentDir = cd;


%go to the subdirectory that contains the images resulting from the
%x-section segmentation step.

cd([currentDir AllImageSpecs.fileSeparator 'X_section_segments']);


%define directory containing the xs-buffer images (grayscale).

dirs = ['XS.' data_matrix{1,1}];
        
        
        
        
%define the dummy image for the xylem vessel - user interaction image.

XVimageUI                  = imread(dirs);    
    

%define blank images for the base x-section images used in the analysis.
      
X_section_gray              = XVimageUI*0; %x-section (grayscale).
    
X_section_solid = logical(X_section_gray); %x-section (solid binary).
    
X_binary        = logical(X_section_gray); %x-section (binary).
    
solidSegment    = logical(X_section_gray); %solid segment (intermediate image steps)
    
imagePerim      = logical(X_section_gray); %perimeter image (intermediate image steps)
    
    
    
%define blank label matrices used in the program.
    
L4 = zeros(size(imagePerim), 'double');
    
    
%go back to main directory.
    
cd(currentDir);
    
    

%define the image specs for all images in directory.
    
AllImageSpecs.size = [size(imagePerim,1) size(imagePerim,2)];
        
AllImageSpecs.tot_dim_pixels = (AllImageSpecs.size(1))*(AllImageSpecs.size(2));
    
    
%define variable for highlighted cortical image.  this image is defined
%as a global cause its general purpose does not change in rootscan.
    
L44 = zeros(AllImageSpecs.size, 'uint8');

    
%define blank reference image.
        
get_ref_cdata = zeros([AllImageSpecs.size 3], 'uint8');
    

%define the row and column values and index them into Nrow X Ncol matrice 
%using the function repmat.
     
repRows = repmat((1:AllImageSpecs.size(1))', [1 AllImageSpecs.size(2)]); 
repCols  = repmat((1:AllImageSpecs.size(2)), [AllImageSpecs.size(1) 1]);
    
     


end