function badVal(varargin)

%this function will update the data based on the image evaluation check box
%values.

global  data_matrix; %data matrix
global f_fig_handle; %gui figure handles.
global     DirSpecs; %current directory specifications.


%evaluate the image evaluation check box in the main GUI to
%determine which measurements are invalid.
            
            
%get the values for checkbox group 1
            
group1 = get(f_fig_handle.checkGroup1(1,:), 'Value');
group1                           = cell2mat(group1)';

%get the values for checkbox group 2

group2 = get(f_fig_handle.checkGroup2(1,:), 'Value');            
group2                           = cell2mat(group2)';

%get the values for checkbox group 3

group3 = get(f_fig_handle.checkGroup3(1,:), 'Value');            
group3                           = cell2mat(group3)';
            
            
            
%if none of the boxes are checked then code all data bad value.

switch sum([group1 group2 group3]) == 0

    case 1 %none of the check boxes are checked. all data is bad.

        bad_vector = [(3:18) 20 22 (24:(size(data_matrix,2)-1))];
        

                         
    case 0 %some of the check boxes are checked.  determine which ones are 
           %checked and what variables remain.
           
           
           %define the vector responsible for placing the dummy variable in
           %the indexes.
           
           bad_vector = [(1:18) 20 22 (24:(size(data_matrix,2)-1))];
           
           
           %remove the indices associated with the sample ID and directory
           %specifications.
           
           bad_vector(1:2)                     = -1;
           
           
           
           %test to see if the TCA checkbox is unchecked.
           
           switch group1(2) == 0
               
               case 1 %it is unchecked.
                   
                   %at this time we are going to remove the following data:
                   %RXSA, XSCWA, RXS diam., TCA, CCWA, cort thick., CF, CCC
                   %CCA and median cort size.
                   
                   bad_vector([3:8 18 20 22 44:(size(data_matrix,2) - 1)]) = 0;
                   
                   
                   
               case 0 %it is checked. test the checkboxes associated with
                      %CCWA and cort thickness.
                   
                   
                      %test the CCWA checkbox
                      
                      bad_vector(6)                     = group1(3);
                      bad_vector(3) = group1(3)*group1(5)*group1(6);
                      
                      
                      %test the cortex thickness checkbox
                      
                      bad_vector(8)     = group1(4);
                   
                   
                   
                   
                   
           end;
           
           
           
           
           
           %test to see if the TSA checkbox is unchecked.
           
           switch group1(5) == 0
               
               case 1 %TSA checkbox unchecked.
           
                   %at this time we are going to remove the following data:
                   %RXSA, XSCWA, RXS diam., TSA, SCWA, Stele diam.           
           
                   bad_vector([3:5 9:11]) = 0;
                   
           
               case 0 %TSA checkbox is checked. test the checkboxes associated with
                      %SCWA and stele diam.
                   
                   
                   %test the SCWA checkbox.
                      
                   bad_vector(9)                     = group1(6);
                   bad_vector(3) = group1(2)*group1(3)*group1(6);
                   
                   
                   %test the stele diameter checkbox.
                   
                   bad_vector(11)    = group1(7);
                   
                   
                   
                   
                   
                   
                   
           end;
                   
                  
           
           
           
           %test the lacunae checkbox.
           
           bad_vector(12:17) = group2(1);
           
           
           
           %test the cell file checkbox.
           
           bad_vector(22)    = group2(2);
           
           
           
           
           
           
           %test to see if the CCC checkbox is checked
           
           switch group2(3) == 0
               
               case 1 %CCC checkbox unchecked.
           
                   %at this time we are going to remove the following data:
                   %RXSA, XSCWA, RXS diam., TSA, SCWA, Stele diam.           
           
                   bad_vector([18 20]) = 0;
                   
           
               case 0 %CCC checkbox is checked. test the checkboxes associated with
                      %CCA.
                   
                   
                   %test the CCA checkbox.
                   
                   bad_vector(20) = group2(4);
                   
                   
           end;
           
           
           
           
           %test the median cortex cell size checkbox.
           
           bad_vector(50:(size(data_matrix,2) - 1)) = group2(5);
           
           
           
           
           %test the metaxylem checkbox 
           
           bad_vector(24:34) = group3(1);
           
           
           %test the protoxylem checkbox.
           
           bad_vector(35:45) = group3(2);
           
           
           %keep only the indices for bad data.

           bad_vector = find(bad_vector == 0);
           
           
                  
                   
end;
                                    


%index the dummy values now.
        
for i = 1:size(bad_vector,2)        
        
	data_matrix{DirSpecs.iteration, bad_vector(i)} = -999;

        
end;
        
        



end