function local_binary_image = binary_conv23(varargin)
        
%this function will convert all grayscale pixel in cross-section images
%to their binary equivalent. for different window size.
    
    
global AllImageSpecs;


%grayscale image.    

x_section_grayscale  = varargin{1}; 


%row indices.

row                  = varargin{2}; 


%column indices.

col                  = varargin{3}; 


%starting indice for sample window.

WinStart             = varargin{4}; 


%ending indice for sample window.

WinEnd               = varargin{5}; 


%buffer margin.

buffer_margin        = varargin{6}; 



%define the binary image mask.

local_binary_image = ones(size(x_section_grayscale));


%window vector used for the movable sampling window within image
%boundaries.

winVect = WinStart:WinEnd;


%verify that buffer regions are inclosed in the image dimensions.

[RowBuff, ColBuff] = checkBuff(x_section_grayscale, row, col, buffer_margin);




%convert the grayscale image to binary using local binarization methods.       

for row_i = 1:length(row)

    for col_i = 1:length(col)

        %define data box.  box height = 16, box width = 16;

         upper_data                                     = row(row_i);
         lower_data = row(row_i) + (AllImageSpecs.thresh_method - 1);
         left_data                                      = col(col_i);
         right_data = col(col_i) + (AllImageSpecs.thresh_method - 1);


        %define the buffer box. box height = 12, box width = 12;

        upper_buffer = row(row_i) - RowBuff(row_i);
        lower_buffer = row(row_i) + RowBuff(row_i);
        left_buffer  = col(col_i) - ColBuff(col_i);
        right_buffer = col(col_i) + ColBuff(col_i);


        %define the localized image area.

        sample_window = x_section_grayscale(upper_buffer:lower_buffer, left_buffer:right_buffer); 


        %test for bimodality of the distribution.
        
        
        
        %convert grayscale to binary.

        sample_window_binary = im2bw(sample_window, graythresh(sample_window));


        %apply to binary piecewise binary images.

        local_binary_image(upper_data:lower_data,left_data:right_data) ...
            = sample_window_binary(winVect, winVect);



    end;

end;
        
        
        
        
        
        
        
end