function cell_file_count = cf_Isolate(varargin)

%This function will approximate the cell wall thickness measurements and
%radial cell file count for the cortical region.


    %access global variables.

    global   data_matrix; %main data matrix.
    global      DirSpecs; %directory spefications structure.
    global main_axes_obj;
    global            L4;
    global  f_fig_handle;


    %define the arguments read into function.

    XsectionCode    = varargin{1};

    cort_cell_data  = varargin{2};

    first_cf_ring   = varargin{4};

    cf_mode         = varargin{5};


    
    %sort cortical cell area data matrix.

    cort_cell_data = sortrows(cort_cell_data,4);






    %get the cdata from main axes.  this will be used in the cell file count
    %algorithm.
    
    
    switch cf_mode
        
        case 1

            %get the pixel map for the highlighted cortex.
            
            %current_IM = get(main_axes_obj, 'Cdata'); 

        case 2
            
            
            
    end;


    %develop new detection method that will yield the number of cell files in
    %the sampling window





    %calculate the cell file count using function: cf_Count.  continue to count
    %cell file counts until we run out of valid cortex objects.


    %initialize the counter.  this will record the number of cell files.

    iter     = zeros(1, 'uint8');


    %initialize condition for while loop found in function: cf_Count.

    done     = zeros(1, 'uint8');


    %define color for cell file coding.

    color = 200*ones(1, 'uint8');



    cf_Count;

   
    

    %place cell file count into data matrix.

    cell_file_count    = ceil(median(cell_file_count(:,1)));

    
    switch cf_mode
        
        case 1
    
            data_matrix{DirSpecs.iteration, 22}  = cell_file_count;


            %display cell file count in GUI. - read only

            set(f_fig_handle.image_vars(7), 'String', num2str(cell_file_count));


            %display cell file count in GUI. - read/write (user can modifiy this
            %value if Rootscan is inaccurate.
    
            set(f_fig_handle.image_vars(6), 'String', num2str(cell_file_count));    

            
            
    end;





    %place cell file count function here.

        function cf_Count(varargin)


                %initialized the counter for the number of times cf_Count is executed.

                iter_cf  = ones(1, 'double');


                %initialize condition for evaluating while loop that evaluates the nested
                %function cf_Count.

                cf_done = zeros(1, 'uint8');



                %find the object (and area data) closest to the inner cortex
                %boundary.  this object will be in the first cell file ring.  

                %closest_obj = cort_cell_data((cort_cell_data(:,4) == min(cort_cell_data(:,4))), :); 


                %find all objects within the first cell file ring.


                %define the outer bound of 1st ring search radius.

                %first_ring_bound = closest_obj(1,7) + closest_obj(1,8);


                %data subset for the first cell file ring.

                %first_cf_ring = cort_cell_data(cort_cell_data(:,8) <= first_ring_bound,:);


                windowSize = (10*pi/180);

                
                %allocate array for cell file counts.

                cell_file_count = zeros(size(first_cf_ring,1),2);



                %count the number of cell files for sampling window until all cells have
                %been evaluated.

            for i = 1:size(first_cf_ring,1)

                iter = 1;

                done = 0;


                %find the object (and area data) closest to the inner cortex
                %boundary.  this object will be in the first cell file ring. 

                closest_obj = cort_cell_data(cort_cell_data(:,2) == first_cf_ring(i), :);           


                switch isempty(closest_obj) == 0

                    case 1

                        %keep finding cells until we get to the outer cortex.

                        while done == 0


                        %define a preliminary set of target neighbors around the object
                        %in question.


                        %define the lower boundary and upper boundary of the target
                        %range.

                        lowerbound = closest_obj(1,3) - windowSize;
                        upperbound = closest_obj(1,3) + windowSize;


                        %if the lower boundary is less than 0 then change this
                        %value to a positive value.

                        checkbound = zeros(1,2, 'uint8');


                        switch lowerbound <= 0

                            case 1

                                lowerbound = (2*pi) - windowSize;

                                checkbound(1) = 1;

                        end;


                        %if the upper boundary is greater than 2*pi then subtract
                        %2*pi from the value.

                        switch upperbound >= 2*pi

                            case 1

                                upperbound = upperbound - (2*pi);

                                checkbound(2) = 1;

                        end;



                        switch max(checkbound) > 0

                            case 1

                                targ_neighbors = cort_cell_data((cort_cell_data(:,3) > lowerbound) | ...
                                    (cort_cell_data(:,3) <= upperbound),:);


                            case 0

                                targ_neighbors = cort_cell_data((cort_cell_data(:,3) > lowerbound) & ...
                                    (cort_cell_data(:,3) <= upperbound),:);


                        end;




                        %subset all objects greater than the current object radius
                        %coordinate.

                        targ_neighbors  = targ_neighbors(targ_neighbors(:,4) > closest_obj(1,4),:);


                        %isolate all objects who tangent is >= -pi/4 and <= pi/4 radians.
                        %remove all neighboring objects outside the cone shaped window.

                        targ_neighbors(abs((targ_neighbors(:,6) - closest_obj(1,6))./...
                            (targ_neighbors(:,5) - closest_obj(1,5))) > tan(pi/4), :) = [];



                        %find the closest object within the cone shaped window.  test
                        %each object against its neighbors.

                        switch size(targ_neighbors,1) > 0


                            %there is at least one object remaining.

                            case 1


                                %define the current obj.

                                current_obj = closest_obj;



                                %initialize the control variable for our object tests.

                                done_close = 0;


                                %test the closest object based on the size of its
                                %nearest neighbors, including the current target
                                %object.


                                while done_close == 0


                                %isolate the 3 closest objects.  determine which
                                %object is spatially and directionally closest to
                                %the current object.


                                closest_obj = targ_neighbors(targ_neighbors(:,4) == ...
                                    min(targ_neighbors(:,4)),:);




                                    %test the object size.

                                    switch (closest_obj(1,7) > .1*current_obj(1,7) & ...
                                        closest_obj(1,7) < 8*current_obj(1,7))


                                        %the object is valid.

                                        case 1


                                        %determine if the next object is outside the
                                        %expected cell file ring location.  

                                        expect_loc = current_obj(1,8) + 2*current_obj(1,7);


                                        switch closest_obj(1,8) <= expect_loc


                                        %the object is within the expected cell file
                                        %ring location.

                                            case 1

                                                %valid object found. update control
                                                %statement so you exit the while loop.

                                                done_close = 1;


                                                %code the 9th column as done.

                                                targ_neighbors(targ_neighbors(:,2) == closest_obj(1,2),10) = 9;


                                                %update the iteration variable.

                                                iter = iter + 1;

                                                %current_IM(L4 == current_obj(2)) = color;


                                            %the object falls outside the expected cell
                                            %file ring location.

                                            case 0

                                                %exit object test control statement.

                                                done_close = 1;


                                                %exit cf count control statement.

                                                done = 1;


                                                iter = -999;


                                        end;  






                                    %the object is invalid.  it is either too big or
                                    %too small. test another object until an object is valid.

                                    case 0

                                        %if the current object is in the first cell
    %Endodermis detection               file ring test to see if we have an
                                        %endodermis cell.

                                        switch iter == 1

                                            case 1

                                                %determine if we are dealing with
                                                %an endodermis cell.

                                                switch closest_obj(1,7) < 8*current_obj(1,7)

                                                    %the object is most likely an
                                                    %endodermis cell.

                                                    case 0

                                                        %exit object test control statement.

                                                        done_close = 1;


                                                        %exit cf count control statement.

                                                        done = 1;

                                                end;



                                        end;


                                        targ_neighbors(targ_neighbors(:,2) == closest_obj(1,2),:) = [];


                                        switch isempty(targ_neighbors)

                                            case 1

                                                done_close = 1;


                                        end;



                                    end;


                                    %update fail test counter and test the next
                                    %object.

                                    %fail_test = fail_test + 1;



                                end;




                            %there are no objects remaining within the sample cone.

                            case 0


                                %test the previous cell file location (it should be
                                %marked as the last) to determine if the entire count
                                %should be disregarded.  If the last location is not
                                %above the 85 percentile then we must throw away the
                                %entire cf count.  or must mark the count so it is not
                                %counted at the end.

                                %current_IM(L4 == closest_obj(2)) = color;


                                switch closest_obj(1,4) < .85

                                    case 1

                                        iter = -999;


                                end;



                                %exit cf count control statement.

                                done = 1;




                        end;





                        end;


                end;


        %cell file count.

        cell_file_count(iter_cf,1) = iter;




        %update the cortical cell data after each iteration.


        targ_neighbors(targ_neighbors(:,10) == 9, :) = [];


        %update the counter.

        iter_cf = iter_cf + 1;


        %closest_obj = cort_cell_data((cort_cell_data(:,4) == min(cort_cell_data(:,4))), :);   



        %change the color of the highlight based on the iteration.

            switch ((iter_cf/2) - floor(iter_cf/2)) == 0

                case 1

                    color = 100;

                case 0

                    color = 200;


            end;


            switch (closest_obj(1,4) >= .25 | iter_cf ~= -999)

                case 1


                    cf_done = 1;


            end;



            end;      


            %remove all bad data.

            cell_file_count(cell_file_count(:,1) < 1,:) = [];



    end





end