function changeimage(varargin)

%this function changes the image shown in the secondary image axes on the
%right hand side of RootScans primary graphical user interface.


global f_fig_handle;

global ref_axes_obj get_ref_cdata;


%set current image axes to the secondary image axes.

set(gcf, 'CurrentAxes', f_fig_handle.im_axes(2));


%get the current value from the user interactive dropdown menu.

action = get(f_fig_handle.reference_axes, 'Value');


%determine which image should be shown in the axes.

switch action
    
    case 1 %display the reference image that accompanies the user throughout
           %the analysis process.
       
        set(ref_axes_obj, 'Cdata', get_ref_cdata);
        
        
    case 2 %display the radial cortical cell file image.
        
        %cancel this actions until we have a reliable method for this
        %calculation.
        
        %cf_image = load([cd '/temp/CF_IMAGE']);
        %cf_image = double(cell2mat(struct2cell(cf_image)))/255;
        
        %set(ref_axes_obj, 'Cdata', cf_image);
        
        
        
    case 3 %display the cortical cell size distribution image (radial bands). 
        
        cc_image               = load([cd '/temp/cortCC']);
        cc_image = double(cell2mat(struct2cell(cc_image)));
            
        set(ref_axes_obj, 'Cdata', cc_image);

             
end;



end