function [RowBuff, ColBuff] = checkBuff(GRAY_SECTION, row, col, buffer_margin)

%this function verifies that the current sample window is bound to the
%current padded image.


%row buffer.

RowBuff = zeros(length(row), 1) + buffer_margin;


%column buffer.

ColBuff = zeros(length(col), 1) + buffer_margin;


%define indices for verification.


%row verification indices. (low)

RowVerLow = row' - buffer_margin;


%column verification indices. (low)

ColVerLow = col' - buffer_margin;


%truncate the row buffer if the buffer region fall outside the image
%minimum row dimension. min always = 0.

RowBuff(RowVerLow <= 0) = RowBuff(RowVerLow <= 0) - abs(RowVerLow(RowVerLow <= 0));


%truncate the row buffer if the buffer region fall outside the image
%minimum column dimension. min always = 0.

ColBuff(ColVerLow <= 0) = ColBuff(ColVerLow <= 0) - abs(ColVerLow(ColVerLow <= 0));


%row verification indices. (high)

RowVerHigh = size(GRAY_SECTION,1) - (row' + buffer_margin);


%column verification indices. (high)

ColVerHigh = size(GRAY_SECTION,2) - (col' + buffer_margin);




%truncate the row buffer if the buffer region fall outside the image
%maximum column dimension.

RowBuff(RowVerHigh <= 0) = RowBuff(RowVerHigh <= 0) - abs(RowVerHigh(RowVerHigh <= 0));


%truncate the row buffer if the buffer region fall outside the image
%maximum column dimension.

ColBuff(ColVerHigh <= 0) = ColBuff(ColVerHigh <= 0) - abs(ColVerHigh(ColVerHigh <= 0));




end



