function result = checkDir(dirname)

%this function verifies that user is currently in the parent directory.  If
%the user selected a sub-directory by accident then they will automatically
%be sent to the parent directory.

global AllImageSpecs;


%intialize result.

result = 0;


%check the directory.

if dirname(end) == AllImageSpecs.fileSeparator

    %determine the location of the last 2 forward or backslashes.
    
    findSep = find(dirname == AllImageSpecs.fileSeparator, 2, 'last');

    
    %define the name of the current directory.
    
    dirname2 = dirname;
    dirname2(findSep(1)+1:findSep(2)-1) = [];




else
    
    %determine the location of the last forward or backslash.
    
    findSep = find(dirname == AllImageSpecs.fileSeparator, 1, 'last');

    
    %define the name of the current directory.
    
    dirname2 = dirname;
    dirname2(1:findSep) = []; 
    

end;



%define sub-directories created by rootscan.  these names are constant.

BINdir  = 'X_section_binary';
XSdir = 'X_section_segments';
ImageOutDir = 'Image_Output';
temp                = 'TEMP';


subDIRarray = {BINdir, XSdir, ImageOutDir, temp};

%test the current directory selection against the list of subdirectories.


if (max(strcmp(dirname2, subDIRarray)) == 1)
    
    
    %if the user is currently in a subdirectory return them to the parent
    %image directory associated with current sub-directory.
    
    dirname = dirname(1:findSep(1));
    
    cd(dirname);
    
    result = 1;
    
    
    
end;





end