function checkdataentries

%this function check all data matrices for empty cells and NaN's.  If these
%these entries are present, replace them with value: -999.


%access data matrices.

global     data_matrix;
global       ccw_thick;
global time_efficiency;



%check the main data matrix file.

for i = 1:size(data_matrix,1)
    for j = 3:(size(data_matrix,2) - 1)
        
        
        %test the data matrix.
        
        test = isempty(data_matrix{i,j});
        
        
        if max(test) == 1
           
            data_matrix{i,j} = -999;    
                 
        end;
       
        
    end;
end;




%check the cell wall data matrix file.

for i = 1:size(ccw_thick,1)
    for j = 1:size(ccw_thick,2)
        
               
        %test the data matrix
        
        test = [isnan(ccw_thick{i,j}) isempty(ccw_thick{i,j})];
        
        
        if max(test) == 1
            
            ccw_thick{i,j} = -999;    
                     
        end;
       
        
    end;
end;



%check the time efficiency data matrix file.

for i = 1:size(time_efficiency,1)
    for j = 1:size(time_efficiency,2)
        
        
        test = [isnan(time_efficiency{i,j}) isempty(time_efficiency{i,j})];
        
        if max(test) == 1
                        
            time_efficiency{i,j} = -999;    
                     
        end;
       
        
    end;
end;





%save any changes.

save('DATA_MAT', 'data_matrix');
save('ccw_thick', 'ccw_thick');
save('time_efficiency', 'time_efficiency');




end

