function cortexCluster(non_aeren, BLACK_ERODE)

%this function displays the spatial distribution of cortical cells from
%3-different size classes: small, medium and large cortical cells.
%Basically, you will see a color coded image showing the locations of the
%different sized cortical cells.

global AllImageSpecs;
global L4;


%define color code image for the cortex cell size
%clustering/dispersion.
                 
CCsize = ones([AllImageSpecs.size 3], 'uint8')*255;
CCsize(:,:,1)                        = BLACK_ERODE;
CCsize(:,:,2)                        = BLACK_ERODE;
CCsize(:,:,3)                        = BLACK_ERODE;

         
         
%define the maximum cortical cell size. this value will be used to place all
%cortical cell areas into their respective size band.

max_cc = max(non_aeren(:,1));
    

%define the normalized size band boundaries.

bands = max_cc*[0 .333 .666 1];


%define the rgb colors for the 3 size bands.

band_colors = [0 0 255; 0 255 0; 255 0 0];
     

%for each band assign the rgb color to the specific size bandwidth.

for I = 1:(length(bands) - 1)
        
    
    %define the label index for cortical cells areas within
    %the size bandwidth.
    
    cc_band = non_aeren((non_aeren(:,1) >= bands(I)) & (non_aeren(:,1) < bands(I+1)), 2);
           
       
   %for each object label, color the cell using the rgb values define
   %above.
    
    for J = 1:length(cc_band)
           
        
        %define the index for the cortical cell object.
        
        index                                      = find(L4 == cc_band(J));
                 
        CCsize(index)                                    = band_colors(I,1); %red channel.
        CCsize((AllImageSpecs.tot_dim_pixels) + index)   = band_colors(I,2); %green channel.
        CCsize(2*(AllImageSpecs.tot_dim_pixels) + index) = band_colors(I,3); %blue channel.
                 
    end;
             
             
             
             
end;
         
   
%save the image to the TEMP image directory found in the parent image
%directory.
         
cc_image = [cd AllImageSpecs.fileSeparator 'TEMP' AllImageSpecs.fileSeparator 'CC_IMAGE'];
save(cc_image, 'CCsize');




end