function im = isolate_cortex(varargin)

%this function will determine the colors of the cross-section regions.



%define the color coded image to be tested.

current_ID         = varargin{1};


coded_region = imread([directory AllImageSpecs.fileSeparator 'Image_Output' ...
                AllImageSpecs.fileSeparator current_ID AllImageSpecs.fileSeparator ...
                'Highlight_RGB_region.' current_ID]);
            
            
            
%determine the pixel values of all image cross-section regions.

coded_im = imread([directory AllImageSpecs.fileSeparator 'Image_Output' ...
    AllImageSpecs.fileSeparator current_ID AllImageSpecs.fileSeparator ...
    'Highlight_RGB.' current_ID]);


%convert color coded image to grayscale.

coded_gray = rgb2gray(coded_im);


%read in current grayscale image.

gray_im = imread([directory AllImageSpecs.fileSeparator 'X_section_segments' ...
    AllImageSpecs.fileSeparator 'XS.' current_ID]);


%read in current binary image.

binary_im = imread([directory AllImageSpecs.fileSeparator 'X_section_binary' ...
    AllImageSpecs.fileSeparator 'XS_binary.' current_ID]);            




%subtract gray_im from coded gray image.

sub_coded_gray = coded_gray - gray_im;


%create binary image using the above result.

bw = im2bw(sub_coded_gray, graythresh(sub_coded_gray));
            
            
%dilate binary image.

bw = imdilate(bw, strel('disk', 7));


%fill binary image.

bw = imfill(bw, 'holes');


%erode binary image.

bw = imerode(bw, strel('disk', 7));


%create label matrix.

label_bw = bwlabel(bw);


%retain only stele region.

coords = floor(.5*[size(bw,1), size(bw,2)]);

bw(label_bw ~= label_bw(coords(1), coords(2))) = 0;


%remove stele from binary image.

binary_im(bw == 1) = 0;



%remove stele from coded image.

coded_region(bw == 1) = 0;


%remove everything but the lacunae.

coded_region((coded_region < 25) | (coded_region > 230)) = 255;

code_vect = coded_region(coded_region < 255);

lacunae_color = mode(mode(double(code_vect)));


coded_region(coded_region ~= lacunae_color) = 255;



%create label matrix for binary_im.

label_bw = bwlabel(binary_im);











end