function [iteration, indvect] = findindices

%this function will evaluate the current data matrix to determine which
%images need to be completed for phase 3.  it will evaulated by iteration not total
%number completed since we could have some gaps in the data for what ever
%reason. this ensures that at the end of the analysis all image data has
%been collected.

global data_matrix;


%define the total number of data rows based on the data matrice
%found in the users current parent image directory.

totrows = size(data_matrix,1);


%define the total number complete (i.e. the starting iteration).

iteration = find(cell2mat(data_matrix(:,3)) == -1, 1, 'first');


%define vector for sample indexes.

indvect = zeros(totrows, 2);
indvect(:,1)    = 1:totrows;
indvect(:,2)            = 1;


%for each data matrix indice, determine if the image associated with that
%indice has been through phase 3 in the rootscan imaging process.

for I = 1:totrows
    
    
    %if the user ratings indice is currently empty then assign a zero value
    %to the 2nd column of variable: indvect.
    
    if ((data_matrix{I,3} < 0) & (data_matrix{I,3} > -999))
        
        indvect(I,2) = 0;
        
        
    end;
    
    
    
    
end;
    

%reduce indvect to include only those indices that have not been processed
%yet.  this matrice will be used during the batch processing in phase 3.
%each phase 3 image and corresponding data will be determined by the
%results from this vector.

indvect = indvect(indvect(:,2) == 0, 1);




end