    function [result, dx_keep_minus] = model_cell_file(cell_size, cort_thick, cell_wall_thick)
 
    %date: March 4, 2011.
    
        
%interpolate the graph showing the median cortex cell sizes with
    %distance.
    
    CORTEX_THICKNESS = cort_thick(2);
    
    
    %remove bad data from matrix.
    
    cell_size = cell_size(cell_size(:,7) ~= 0, :);
    
    cell_size_std_plus       = cell_size(:,4) + cell_size(:,5);
    cell_size_std_minus      = cell_size(:,4) - cell_size(:,5);    
    distance                 = cell_size(:,2)*CORTEX_THICKNESS;
    distance_cell_wall = cell_wall_thick(:,2)*CORTEX_THICKNESS;

    
    XI = min(distance):.1:max(distance);
    
    YI_plus   = interp1(distance, cell_size_std_plus, XI, 'cubic');
    YI_minus = interp1(distance, cell_size_std_minus, XI, 'cubic');

    
    cell_wall = cell_wall_thick(:,3);
    
    mean_cell_wall_thickness = mean(cell_wall);

    
%build the cell file configuration.
   

    
       for i = 1:2
           
         MAX_FILL = 0;
   
         cell_file_matrix = zeros(40, 3);

         I = 0;
         dx = 0;
         
         dx_keep = zeros(40,1);
         
         switch i
             
             case 1
                 
                 YI = YI_plus;
                 
             case 2
                 
                 YI = YI_minus;
                
                 
         end;
         
         
         
         
           
         while (MAX_FILL == 0) 
        
            I = I+1;
             
            cell_file_matrix(I,1) = I;
            
            switch I
                
                case 2
            
                    %find the cell wall thickness at dx.
   
                    dx_cell_wall = cell_wall(abs(distance_cell_wall - dx) == ...
                        min(abs(distance_cell_wall - dx)));
            
                case 1
                    
                    dx_cell_wall = mean_cell_wall_thickness;
                    
            end
            
            dx = dx + dx_cell_wall;

           
            
            %set XI = YI + dx and find the roots.
            
            C = abs(YI + dx - XI);
            
            %find C = zero.
            
            find_C_zero = find(C == min(C)); %find the root of C.
            
            cell_file_matrix(I,2) = XI(find_C_zero); %apply x-com for cell file to matrix.
            
            cell_file_matrix(I,3) = YI(find_C_zero);
            
            dx_keep(I) = dx + YI(find_C_zero);
            
            dx = dx + 2*YI(find_C_zero);  %update the dx variable
            
     
            
          
            
            
            if (dx < CORTEX_THICKNESS)
            
                MAX_FILL = 0;
                
            else
                
                MAX_FILL = 1;
            
            end;
            
            
            if I > 100
                
               MAX_FILL = 1;
               
               
            end;
                
            
            
            
            
            
        end;

        
        switch i
            
            case 1
                
                cell_file_matrix_plus = cell_file_matrix;
                dx_keep_plus = dx_keep;
                
            case 2
                
                cell_file_matrix_minus = cell_file_matrix;
                dx_keep_minus = dx_keep;        
        
                
        end;
        
        

       end;        
        
        
        
       
        dx_keep_minus = dx_keep_minus(dx_keep_minus > 0);
        
        result = [0 0];
        
        
        %calculate the lower range boundary for cell file count.
        
        CELL_FILES_MATRIX = (cell_file_matrix_plus(cell_file_matrix_plus(:,1) ~= 0, :));

        
        switch (size(CELL_FILES_MATRIX,1) < 2)
            
            case 0
                
                
        %check distance increment for zero change.
        
        CHECK_DIST = diff(CELL_FILES_MATRIX(:,2));
        
        if CHECK_DIST(end) == 0
            
            CELL_FILES_MATRIX = CELL_FILES_MATRIX(1:(end-1),:);
            
        end;
        
        
        CELL_FILES_PLUS = size(CELL_FILES_MATRIX,1);
        
        
        
        %calculate the upper range boundary for cell file counts.
        
        CELL_FILES_MATRIX = (cell_file_matrix_minus(cell_file_matrix_minus(:,1) ~= 0, :));

        
        %check distance increment for zero change.
        
        CHECK_DIST = diff(CELL_FILES_MATRIX(:,2));
        
        switch size(CHECK_DIST,1) ~=0
            
            case 1
        
                if CHECK_DIST(end) == 0
            
                    CELL_FILES_MATRIX = CELL_FILES_MATRIX(1:(end-1),:);
            
                end;
        
        end;
        
        
        CELL_FILES_MINUS = size(CELL_FILES_MATRIX,1);
       
       
       result = [CELL_FILES_PLUS CELL_FILES_MINUS];
       
       
        end;
        

        
    end