function rgbconvertDIR(current_iteration, total_images)

%this function will batch convert all rgb images to grayscale and fill in
%the following data columns in the data matrix: image label and comments
%section.



global data_matrix; %data matrice.
global    DirSpecs; %structure containing all directory_name specifications.
global      h_wait; %waitbar handle.


%before we analyze any images convert any rgb images to grayscale.
    
img1      = imread(DirSpecs.directory(1).name);
imageSize                 = length(size(img1));
    


switch (imageSize == 3 | current_iteration == 1)
    
    
    case 1
          
        %make a new sub-directory_name called RAW.  this directory_name will store all
        %raw images. since we are convert from a 3-channel rgb to a 1-channel
        %grayscale.  at this time, write all image names and calibration
        %values to the data matrix.
        
        mkdir('RAW');
           
        
       for i = current_iteration:total_images     
           
            
            %read the image.

            img1       = imread(DirSpecs.directory(i).name);  
            
            
            %define the image format for each image.
            
            format             = DirSpecs.directory(i).name;
            findi          = find(format == '.', 1, 'last');
            format(1:findi)                            = [];
           
            %copy the current 3-channel rgb image to subdirectory named:
            %RAW.
            
            copyfile(DirSpecs.directory(i).name, 'RAW');
            
            
            %if the image is rgb format we need to convert it to grayscale.
    
            if (size(img1,3) ~= 1)  
       
                img1 = rgb2gray(img1); 
        
            end;
    
            
            %write grayscale image to current directory_name.  this will
            %actually overwrite the current rgb image in the directory_name.
            %this is not a problem since we already copied the file to the
            %directory_name named: RAW.
            
            imwrite(img1, DirSpecs.directory(i).name, format);
            
                        
            %write the image name calibration value and initial dummy
            %comment to main data cell array called data_matrix.
            
            data_matrix{i, 1}   = DirSpecs.directory(i).name; %image name.
            data_matrix{i, end}                 = 'comments'; %initial comment
            
            
            %update the waitbar.

            percent_done = i/total_images;

            waitbar(percent_done, h_wait, [num2str(floor(percent_done*100), 3) ' % Complete']);             

       end;
          
       
       
       
end;


waitbar(1, h_wait, 'RGB to Grayscale Conversion Complete');



end