function [CodeStele, BrokenStele] = steleLatINT(smoothStele, x_sect_reg)

%this function will define two distinct nodes of intersection between the
%stele perimeter and dilated lateral perimeter.  this function will also
%verfiy that we have two nodes of intersection.  If we do not have two
%the the lateral perimeter will be dilated until we have two distinct
%nodes of intersection.
ffffff


%NOTE: this function is suspended for now until further development.
%therefore, this function is not used.


%----lateral region manipulations.----%



%define a blank image for coding applicable cross section regions.

CodeStele = zeros(size(x_sect_reg));


CodeLat = zeros(size(x_sect_reg));



%dilate the lateral and code the dilation into the coded cross section image.
  
dilateReg = imdilate(x_sect_reg, strel('disk', 25));

LatPerim                       = bwperim(dilateReg);

dilateReg = imdilate(LatPerim, strel('disk', 3));

CodeLat(dilateReg ~= 0)                         = 40;

clear dilateReg;

%define the perimeter image of the current lateral region.

LatPerim = bwperim(x_sect_reg);


%mark the lateral region with a value = 30.

CodeLat(LatPerim ~= 0)   = 30;


%----stele region manipulations.----%




%define the perimeter image of the current stele region.

StelePerim = bwperim(smoothStele);


%dilate the stele and code the dilation into the coded cross section image.

%dilateReg = imdilate(StelePerim, strel('disk', 3));


%mark the stele region with a value = 35.

CodeStele(StelePerim ~= 0) = 35;


clear smoothStele;

%add the images together now.  any pixel with a value of 75 is considered
%a component in a node of intersection.

CodeStele = CodeStele + CodeLat;



%test to see if we have two nodes of intersection.

CodeStele2        = CodeStele*0;
CodeStele2(CodeStele == 75) = 1;



%create label matrix for the nodes of intersection.

[labelNodes, maxNodes] = bwlabel(CodeStele2);

clear labelNodes;


disksize = 3;



%verfiy there are 2 nodes.  if there are less than two nodes then we must
%dilate the stele perimeter with a larger disk size.


while maxNodes < 2
    
    disksize = disksize + 1;
    
    CodeStele = CodeStele*0;
    
    %dilate the stele and code the dilation into the coded cross section image.

    dilateReg = imdilate(StelePerim, strel('disk', disksize));

    CodeStele(dilateReg ~= 0) = 35;
    
    
    CodeStele = CodeStele + CodeLat;
    
    
    %test to see if we have two nodes of intersection.

    CodeStele2         = LatPerim*0;
    CodeStele2(CodeStele == 75) = 1;

    
    %create label matrix for the nodes of intersection.

    [labelNodes, maxNodes] = bwlabel(CodeStele2);

    
    
    if disksize > 25
        
        break;
        
    end;
    
    
    
    
end;



if disksize > 25
    
    CodeStele   = 1;
    BrokenStele = 1;
    
else
   
    %retain the stele region not directly adjacent to the lateral region.
    
  
    
    BrokenStele                                             = CodeStele;
    BrokenStele((BrokenStele == 35) | (BrokenStele == 65))          = 1;
    BrokenStele(BrokenStele ~= 1)                                   = 0;
    %BrokenStele                          = imfill(BrokenStele, 'holes');
    

    %apply the nodes of intersection and closest lateral region to coded
    %image.
    
    CodeStele              = LatPerim;
    CodeStele(CodeStele2 ~= 0) = true;

 
end;






end