function test_results = test_x_section(image_size)

%this function will  test the current x-section image result form the
%automated x-section segmentation step to determine if the user needs to
%interact with the image when the automated ooptions are activated for this
%step.  this  function will basically check the results of the automated
%x-section segmentation code.

%this function was added on February 2, 2011.


%this function needs further investigation to make it more accurate.

%test 1: calculate the numnber of x-section objects to determine if a
%minumum number of objects exist.  we will set the minu

%test 1: calculate the number x-section objects to determine if a minimum
%number of objects exist.  we will set the minimum to 200.  if  the test
%result equals 1 the user should interact with the x-section image.


global  test_matrix; %text matrix.
global    iteration; %current batch iteration.
global      finalIM; %final grayscale image.
global solidSegment; %solid x-section mask.
global         img1; %raw grayscale image.



%test the image now.


%convert the current using the threshold for the final grayscale image
%define the automatic x-section segmentation step.

bw = im2bw(img1, graythresh(finalIM));


%create label matrix for image objects.

xs_label             = bwlabel(bw, 4);
   

num_objs = max(max(xs_label));
test1        = num_objs < 200;


%test 2: is the x-section area less than 3% of the image size? if  the test
%result equals 1 the user should interact with the x-section image.

test2 = length(find(solidSegment ~= 0)) < (.03*image_size);



%test 3: calculate the major and minor axis lengths of the solid x-section
%to determine if there is a significant deviation from circularity.

%define the major and minor axis lengths an area of xs solid (no buffer). if  the test
%result equals 1 the user should interact with the x-section image.

xs_region_props = regionprops(solidSegment, 'MajorAxisLength', 'MinorAxisLength', 'Area');

Major = cat(1, xs_region_props.MajorAxisLength);
Minor = cat(1, xs_region_props.MinorAxisLength);

axis_length_ratio = abs((Minor - Major)/Major);


%test for high asymmetry. if the object shape deviates too much from
%circularity the test is positive.

test3 = axis_length_ratio >= .2;




%perform a series of tests on the previous test results.

if (test3 == 1)
    
    test_results = 1; %xs segmentation performed incorrectly.
    
else

    if (test2 == 1)
        
        test_results = 1; %xs segmentation performed incorrectly.   
    
    else
        
        if (test1 == 1)
        
            test_results = 1; %xs segmentation performed incorrectly.    
    
        else
        
            test_results = 0; %xs segmentation performed correctly. 
        
        
        end;
        
        
        
    end;
    
    
    
    
end;



%define and save the current test matrix.

test_matrix{iteration,1}        = test1;
test_matrix{iteration,2}        = test2;
test_matrix{iteration,3}        = test3;
test_matrix{iteration,4} = test_results;

save('test_matrix', 'test_matrix');





end