function update_status(BATCH_ITER, NUM_ELM, Phase)

%this function will update the progress status bars as the user progresses
%through a directory


global status_image status_directory;


%define the length of the status bar's 2nd dimension.

maxcols = size(status_image,2);


maxstep = floor(maxcols*BATCH_ITER/NUM_ELM);

switch (BATCH_ITER > 0) && (maxstep > 1)
    
    case 1 %update status bar only if the iteration is positive.

     
    %color status bar color green (phase only).

    status_image(:,1:maxstep,1)   = 0; %red channel.
    status_image(:,1:maxstep,2) = 240; %green channel.
    status_image(:,1:maxstep,3)   = 0; %blue channel.
        
    
    %determine which analysis phase we are in.
    
    switch Phase == 0
        
        case 0 %we are in phases 2 or 3.

            index = (find(status_image(1,:,2) == 240, 1, 'last')/(3*maxcols)) + Phase;
    
        case 1 %we are phase 1.
            
            index = find(status_image(1,:,2) == 240, 1, 'last')/(3*maxcols);
                
            
    end;
    
    
    maxstep = floor(maxcols*index);
    
    switch maxstep > 1
        
        case 1
    
    %update the status bar showing the total progress through a directory.
    
	status_directory(:,1:maxstep,1)   = 0; %red channel.
	status_directory(:,1:maxstep,2) = 240; %green channel.
	status_directory(:,1:maxstep,3)   = 0; %blue channel.


    end;
    
end;


         

end